## org.eclipse.emf.edit.domain
Class AdapterFactoryEditingDomain.EditingDomainProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.EditingDomainProvider

All Implemented Interfaces:
  Adapter, Adapter.Internal, IEditingDomainProvider

Enclosing class:
  AdapterFactoryEditingDomain

    public static class AdapterFactoryEditingDomain.EditingDomainProvider

extends AdapterImpl
implements IEditingDomainProvider

This class is an adapter than implements `IEditingDomainProvider`.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary
`protected EditingDomain` `editingDomain` Keeps track of the editing domain.

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`AdapterFactoryEditingDomain.EditingDomainProvider(EditingDomain editingDomain)`

Method Summary
`EditingDomain` `getEditingDomain()` This returns the editing domain.
`boolean` `isAdapterForType(java.lang.Object type)` Returns `false`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editingDomain

    protected EditingDomain editingDomain

  Keeps track of the editing domain.

Constructor Detail

### AdapterFactoryEditingDomain.EditingDomainProvider

    public AdapterFactoryEditingDomain.EditingDomainProvider(EditingDomain editingDomain)

Method Detail

### getEditingDomain

    public EditingDomain getEditingDomain()

  Description copied from interface: `IEditingDomainProvider`
  This returns the editing domain. A typical usage is

         ((IEditingDomainProvider)((EObject)object).eResource().getResourceSet()).getEditingDomain();

  Specified by:
    `getEditingDomain` in interface `IEditingDomainProvider`

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Description copied from class: `AdapterImpl`
  Returns `false`

  Specified by:
    `isAdapterForType` in interface `Adapter`
  Overrides:
    `isAdapterForType` in class `AdapterImpl`
  Parameters:
    `type` - the type.
  Returns:
    `false`
  See Also:
    `AdapterFactory.isFactoryForType(java.lang.Object)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.